<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="query" />
<jsp:directive.include file="/jsp/custom/query_info.jsp" />
<og:comment
	system   = "GE:エンジンサンプル"
	pgid     = "GE1004"
	title    = "DB検索"
	date     = "2007/12/12"
	author   = "K.HASEGAWA"
	text     = "ZZZZ"
	version  = "001"
/>

<script type="text/javascript" >
	function getO( id ) {
		var obj = document.getElementById( id );
		if( obj != null ) { return obj; }
		else {
			var nms = document.getElementsByName( id );
			if( nms != null &amp;&amp; nms.length &gt; 0 ) {
				return nms.item(0);
			}
		}
		return null;
	}

	function setV( id , v ) {
		var obj = getO( id );
		if( obj != null ) { obj.value = v ; }
	}

	function getV( id ) {
		var obj= getO( id );
		return (obj == null ) ? '' : obj.value;
	}
</script>

<form method="POST" action="forward.jsp" target="RESULT" onSubmit="timeSet();">
<og:fieldset lbl="MSG0032" defaultNone="false">
<table>
  <tr>
	<td><b>SQL</b><br /><br />
		<span onClick="setV('SQL_TEXT','');getO('SQL_TEXT').focus();"><og:message lbl="CLEAR" /></span><br />
		<span onClick="clipboardData.setData('Text', getV('SQL_TEXT'));">Ctrl-C</span>
	</td>
	<td><textarea name="SQL_TEXT" rows="8" cols="60"><og:text>{@USER.LASTSQL}</og:text></textarea>
	</td>
	<td>
		<table>
			<tr><og:column name="DBID"	value="{@DBID}" codeKeyVal="{@DBID_INFO}" /></tr>
			<tr><og:column name="OWNER" value="{@SYS.SYSTEM_ID}" size="5" onBlur="this.value=value.toUpperCase();" >
					<og:select name="resource" td="false" addNoValue="true" >
						<og:option lbl="localResource"	value="localResource" />
						<og:option lbl="noResource"		value="noResource" />
					</og:select>
				</og:column>
			</tr>
			<tr><og:column name="TABLE"	lbl="table"   aimai="V*" size="10" onBlur="this.value=value.toUpperCase();" >
					<og:input type="checkbox" name="TBL_NM" lbl="name"	value="1" td="no" />
				</og:column>
			</tr>
			<tr><og:column name="CLM"	lbl="column"  aimai="V*" onBlur="this.value=value.toUpperCase();" /></tr>
			<tr><og:column name="INDEX"	lbl="index"   aimai="V*" onBlur="this.value=value.toUpperCase();" /></tr>
		</table>
	</td>
  </tr>
</table>
</og:fieldset><br />
<jsp:directive.include file="optionQuery.jsp" />
<og:queryButton />
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
